Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.usermgmt.servlets.jsp.taglib
Class GetGroupNamesForUserTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTag
                  |
                  +--com.bea.p13n.usermgmt.servlets.jsp.taglib.GetGroupNamesForUserTag

public class GetGroupNamesForUserTag
extends UserManagementTag

Corresponds to `<um:getGroupNamesForUser>`.

The `<um:getGroupNamesForUser>` tag retrieves a String array that contains the group names corresponding to groups to which the provided user immediately belongs. The tag has no enclosed body.

Tag Attribute | Required | Type | Description
username | yes | String | The name of the user whose matching groups are sought. Example: "`<%=username%>`"
id | yes | String | A variable name to which the resultant group names are assigned. Example: "myGroups"

See Also:
  Serialized Form

Fields inherited from class com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTag
`GROUP_MGR_REF, USER_MGR_REF`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Constructor Summary
`GetGroupNamesForUserTag()`

Method Summary
`int` | `doStartTag()` Go through the UserManager session bean to retrieve the list of groups that the given user belongs to.
`java.lang.String` | `getUsername()` Get the username to query
`void` | `release()` Reset the tag attributes
`void` | `setUsername(java.lang.String username)` Set the username to query

Methods inherited from class com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTag
`getGroupManager, getUserManager`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetGroupNamesForUserTag

    public GetGroupNamesForUserTag()

Method Detail

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Go through the UserManager session bean to retrieve the list of groups that the given user belongs to.

  Overrides:
    doStartTag in class javax.servlet.jsp.tagext.TagSupport

### release

    public void release()

  Reset the tag attributes

  Overrides:
    release in class UserManagementTag

### getUsername

    public java.lang.String getUsername()

  Get the username to query

### setUsername

    public void setUsername(java.lang.String username)

  Set the username to query

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved